summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 9fde940)
raw | patch | inline | side by side (parent: 9fde940)
author | Junio C Hamano <junkio@cox.net> | |
Fri, 12 Jan 2007 20:49:05 +0000 (12:49 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 13 Jan 2007 00:54:38 +0000 (16:54 -0800) |
This converts scripts that do "cd $(rev-parse --show-cdup)" by
hand to use cd_to_toplevel.
I think git-fetch does not have to go to the toplevel, but that
should be dealt with in a separate patch.
Signed-off-by: Junio C Hamano <junkio@cox.net>
hand to use cd_to_toplevel.
I think git-fetch does not have to go to the toplevel, but that
should be dealt with in a separate patch.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-checkout.sh | patch | blob | history | |
git-commit.sh | patch | blob | history | |
git-fetch.sh | patch | blob | history | |
git-reset.sh | patch | blob | history |
diff --git a/git-checkout.sh b/git-checkout.sh
index a2b8e4fa4aa3607ce4981c84b9c6f9d31a9dec97..66e40b90ebfa8e65e9c42731203f10dde0424b8c 100755 (executable)
--- a/git-checkout.sh
+++ b/git-checkout.sh
# We are switching branches and checking out trees, so
# we *NEED* to be at the toplevel.
-cdup=$(git-rev-parse --show-cdup)
-if test ! -z "$cdup"
-then
- cd "$cdup"
-fi
+cd_to_toplevel
[ -z "$new" ] && new=$old && new_name="$old_name"
diff --git a/git-commit.sh b/git-commit.sh
index eddd863015b4829fc833ba5bc064720eaa4245be..9fdf234b522322cf4e5d539f52debe76bebf6aa8 100755 (executable)
--- a/git-commit.sh
+++ b/git-commit.sh
################################################################
# Prepare index to have a tree to be committed
-TOP=`git-rev-parse --show-cdup`
-if test -z "$TOP"
-then
- TOP=./
-fi
-
case "$all,$also" in
t,)
save_index &&
(
- cd "$TOP"
- GIT_INDEX_FILE="$NEXT_INDEX"
- export GIT_INDEX_FILE
+ cd_to_toplevel &&
+ GIT_INDEX_FILE="$NEXT_INDEX" &&
+ export GIT_INDEX_FILE &&
git-diff-files --name-only -z |
git-update-index --remove -z --stdin
- )
+ ) || exit
;;
,t)
save_index &&
git-diff-files --name-only -z -- "$@" |
(
- cd "$TOP"
- GIT_INDEX_FILE="$NEXT_INDEX"
- export GIT_INDEX_FILE
+ cd_to_toplevel &&
+ GIT_INDEX_FILE="$NEXT_INDEX" &&
+ export GIT_INDEX_FILE &&
git-update-index --remove -z --stdin
- )
+ ) || exit
;;
,)
case "$#" in
diff --git a/git-fetch.sh b/git-fetch.sh
index c58704d7946d47d238f1dd25bad00d7d29533b48..87b940b85b5b128f29dc6084bb545640e5bf6b92 100755 (executable)
--- a/git-fetch.sh
+++ b/git-fetch.sh
SUBDIRECTORY_OK=Yes
. git-sh-setup
set_reflog_action "fetch $*"
+cd_to_toplevel ;# probably unnecessary...
-TOP=$(git-rev-parse --show-cdup)
-if test ! -z "$TOP"
-then
- cd "$TOP"
-fi
. git-parse-remote
_x40='[0-9a-f][0-9a-f][0-9a-f][0-9a-f][0-9a-f]'
_x40="$_x40$_x40$_x40$_x40$_x40$_x40$_x40$_x40"
diff --git a/git-reset.sh b/git-reset.sh
index b9045bc762471b462c3c99a5357b4b30421ea49f..91c7e6e664eeac0a130044d3d026ccbbfa00f3b3 100755 (executable)
--- a/git-reset.sh
+++ b/git-reset.sh
exit
fi
-TOP=$(git-rev-parse --show-cdup)
-if test ! -z "$TOP"
-then
- cd "$TOP"
-fi
+cd_to_toplevel
if test "$reset_type" = "--hard"
then